package it.unibo.cs.labp.progetto2001.solmi;

import java.io.*;

/**
 * Title:        Progetto Laboratorio di Programmazione 2001-2002
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Universit di Bologna
 * @author Riccardo Solmi
 * @version 1.0
 */

public class BooleanLiteral extends AbstractLiteral {
  public static final BooleanLiteral TRUE = new BooleanLiteral(true);
  public static final BooleanLiteral FALSE = new BooleanLiteral(false);

  private final boolean val;
  private BooleanLiteral(boolean val) {
    this.val = val;
  }

  public void prettyPrint(PrintStream out) {
    out.print(val);
  }

	public boolean booleanValue() {
		return val;
	}

  public String toString() {
	return String.valueOf(val);
  }
}