package it.unibo.cs.labp.progetto2001.solmi;

import it.unibo.cs.labp.progetto2001.spec.*;

public class Test {
  public static void main(String[] args) {
    LanguageFactory lf = new ALanguageFactory();

    Expression n = lf.createVariable("n");
    Expression result = lf.createVariable("result");
    Statement fatt = lf.createBlock(new Statement[] {
		lf.createAssignment(n, lf.createLiteral(4)),
		lf.createAssignment(result, lf.createLiteral(1)),
	   	lf.createWhile(lf.createGreaterThan(n, lf.createLiteral(0)), lf.createBlock(new Statement[] {
      		lf.createAssignment(result, lf.createMultiplication(result, n)),
      		lf.createAssignment(n,lf.createSubtraction(n, lf.createLiteral(1)))
    	}))
    });

    fatt.prettyPrint(System.out);
    fatt.execute();
    System.out.println("n! = " + result);
  }
}
