package it.unibo.cs.labp.progetto2001.solmi;

import java.io.*;
import it.unibo.cs.labp.progetto2001.spec.*;

/**
 * Title:        Progetto Laboratorio di Programmazione 2001-2002
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Universit di Bologna
 * @author Riccardo Solmi
 * @version 1.0
 */

public class BlockStatement implements Statement {

	/**
	 * @uml property=stm associationEnd={multiplicity={(0 -1)} elementType=it.unibo.cs.labp.progetto2001.spec.Statement}
	 * 
	 */
	private final Statement[] stm;

  public BlockStatement(Statement[] stm) {
    this.stm = stm;
  }

  public void prettyPrint(PrintStream out) {
    for (int i=0; i<stm.length; i++)
      stm[i].prettyPrint(out);
  }

  public void execute() {
    for (int i=0; i<stm.length; i++)
      stm[i].execute();
  }
}